<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>alarmevent.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>alarmevent_8h</filename>
    <class kind="class">KAEvent</class>
    <member kind="typedef">
      <type>KCal::Person</type>
      <name>EmailAddress</name>
      <anchorfile>alarmevent_8h.html</anchorfile>
      <anchor>747c1f3db72ea1b282598ad484c62277</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>functions.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>functions_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <member kind="function">
      <type>MainWindow *</type>
      <name>displayMainWindowSelected</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>1e4979c74e93d72d35cc83a813657d8b</anchor>
      <arglist>(const QString &amp;eventID=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readConfigWindowSize</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>41dc2c55a7cea9e02818ad2992517a7f</anchor>
      <arglist>(const char *window, QSize &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfigWindowSize</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>6b7d64f44bbcc48250ab5893f826cc02</anchor>
      <arglist>(const char *window, const QSize &amp;size)</arglist>
    </member>
    <member kind="function">
      <type>FileType</type>
      <name>fileType</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>4b416eba51e417bf567462b78def0a1e</anchor>
      <arglist>(const QString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>Version</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>1b67d46ce3ded6b371e8cd71e2c1881b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>Version</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>4d5ce580ddb4a2f365a2cfb467beb718</anchor>
      <arglist>(int major, int minor, int rev)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getVersionNumber</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>e21df3a08648c671a6c50ee90cb39224</anchor>
      <arglist>(const QString &amp;version, QString *subVersion)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentCalendarVersion</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>58ada652d3c2fb844e4ed447006f73f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentCalendarVersionString</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>2abb4fcdf335016c8a5c9f29ccfe74a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>browseFile</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>320e69a81dc6bc9ed3046cf14eca9861</anchor>
      <arglist>(const QString &amp;caption, QString &amp;defaultDir, const QString &amp;initialFile, const QString &amp;filter, int mode, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>edit</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>b230e8d47474a8a8408b1db037205758</anchor>
      <arglist>(const QString &amp;eventID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>editNew</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>487e714903636e8cc229bc6f80e9b530</anchor>
      <arglist>(const QString &amp;templateName)</arglist>
    </member>
    <member kind="function">
      <type>KAction *</type>
      <name>createNewAlarmAction</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>33bb75761b35712ea4e3b29ebdb4db9b</anchor>
      <arglist>(const QString &amp;label, QObject *receiver, const char *slot, KActionCollection *, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>TemplateMenuAction *</type>
      <name>createNewFromTemplateAction</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>e42f422a6fc165725723215e347e62d3</anchor>
      <arglist>(const QString &amp;label, QObject *receiver, const char *slot, KActionCollection *, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; KAEvent &gt;</type>
      <name>templateList</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>3991061e6e8d2680bd96ace3d34869b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>outputAlarmWarnings</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>e1aeee76d48d4eac05ca407a76fce47f</anchor>
      <arglist>(QWidget *parent, const KAEvent *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetDaemon</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>40e15fbc77cd0a8033baae957ef03e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetDaemonIfQueued</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>8038831e7cf12552d73a5851f0e9e275</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>runKMail</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>87cf9d0654730070cc09ddf0452d0e4b</anchor>
      <arglist>(bool minimise)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>runProgram</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>df83b12ee094db781e0b2da880934e58</anchor>
      <arglist>(const QCString &amp;program, const QCString &amp;windowName, QCString &amp;dcopName, QString &amp;errorMessage)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>addEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>b8b9558c859e41a9566749a1a0945371</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, QWidget *errmsgParent, bool useEventID, bool allowKOrgUpdate)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addExpiredEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>14244698bbcd50ddf3fd67a5206e56d7</anchor>
      <arglist>(KAEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>addTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>977ddff3c21777493fb661ec27ea150d</anchor>
      <arglist>(KAEvent &amp;event, TemplateListView *selectionView, QWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>modifyEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>0ff45d8d07b5dfe41901b9e2c61edee5</anchor>
      <arglist>(KAEvent &amp;oldEvent, const KAEvent &amp;newEvent, AlarmListView *selectionView, QWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>updateEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>566c2e8346556db7baf088cc82c54e2d</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, QWidget *errmsgParent, bool archiveOnDelete, bool incRevision)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>updateTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>3492425594f6e120f53d6df3934e2f50</anchor>
      <arglist>(const KAEvent &amp;event, TemplateListView *selectionView, QWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>deleteEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>bdb2c2b0c4cc82f22a85e25f34c3e32f</anchor>
      <arglist>(KAEvent &amp;event, bool archive, QWidget *errmsgParent)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>deleteTemplate</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>1d8bd6b498434fbee927acf5b30932c9</anchor>
      <arglist>(const KAEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteDisplayEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>d2a457f67d943d016abfd2f35e7436c4</anchor>
      <arglist>(const QString &amp;eventID)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>reactivateEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>95ec644ed75f6528490d21b9d6923df0</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, bool useEventID)</arglist>
    </member>
    <member kind="function">
      <type>UpdateStatus</type>
      <name>enableEvent</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>25e2c14ad99ff59ae05424703d3b6439</anchor>
      <arglist>(KAEvent &amp;event, AlarmListView *selectionView, bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayUpdateError</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>581200def9b63fb04393e84dd0ae22d0</anchor>
      <arglist>(QWidget *parent, UpdateStatus, UpdateError code, int nAlarms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>displayKOrgUpdateError</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>f6c55058a755d3090a54b1fafa311476</anchor>
      <arglist>(QWidget *parent, KOrgUpdateError code, int nAlarms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelScreenSaver</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>8165c8523fe7489425ddff928e3b17f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stripAccel</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>e7b2d4391d3fbc95216059e21bb67dbe</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>localeFirstDayOfWeek</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>bf6505bb0087bc1e6ac89301bcb93a97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weekDay_to_localeDayInWeek</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>cd5bd84228f52043d2742c4606e3d867</anchor>
      <arglist>(int weekDay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>localeDayInWeek_to_weekDay</name>
      <anchorfile>namespaceKAlarm.html</anchorfile>
      <anchor>bfaceb23d99407a1e9e032d61187340f</anchor>
      <arglist>(int index)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmapp.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>kalarmapp_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <member kind="function">
      <type>KAlarmApp *</type>
      <name>theApp</name>
      <anchorfile>kalarmapp_8h.html</anchorfile>
      <anchor>bb518097b9f67b9b28e4cf54e8836cca</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>kalarmiface.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>kalarmiface_8h</filename>
    <class kind="class">KAlarmIface</class>
  </compound>
  <compound kind="file">
    <name>mainwindow.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>mainwindow_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <includes id="undo_8h" name="undo.h" local="yes" imported="no">undo.h</includes>
  </compound>
  <compound kind="file">
    <name>messagewin.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>messagewin_8h</filename>
    <includes id="alarmevent_8h" name="alarmevent.h" local="yes" imported="no">alarmevent.h</includes>
    <class kind="class">MessageWin</class>
  </compound>
  <compound kind="file">
    <name>pickfileradio.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>pickfileradio_8h</filename>
    <class kind="class">PickFileRadio</class>
  </compound>
  <compound kind="file">
    <name>undo.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/kalarm/</path>
    <filename>undo_8h</filename>
  </compound>
  <compound kind="class">
    <name>AlarmCalendar</name>
    <filename>classAlarmCalendar.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>calendarSaved</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>1466ff641bd237c6a9367f5c044268e2</anchor>
      <arglist>(AlarmCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>purged</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>cd4a224f1103ac1d7fee438ed67b147e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>emptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>f611c5148d1737df3ee6bb0fd053191c</anchor>
      <arglist>(bool empty)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>6c8f81e85b212877c6329249db60ab9c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAEvent::Status</type>
      <name>type</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>8f0ad70959da8ff27d76dcc7bf7cd2fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>bd21208209bcdc5f80feaecedf894695</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>load</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>70e876462682e0a42a203baa7f5dc2cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>689106168028cfa601c30eb11242a007</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>9bf82a952565e01aebd4f2b22e4c8449</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>7f6304665ab515842edf6a53cbb73f60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>aa7e5fb3890731c96ef5f14badacbc31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endUpdate</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>c39c6610d7273353b044c829839471c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>37f9ca69267daea90e3bc68b44e117e7</anchor>
      <arglist>(const QString &amp;uniqueID)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>events</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>37b71fc12e2394339156aabbb802946c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event::List</type>
      <name>eventsWithAlarms</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e483064bf75c5081e04d427509ed3db2</anchor>
      <arglist>(const QDateTime &amp;from, const QDateTime &amp;to)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>addEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>c7c9d1afb14e4718e02dbe8a1462da54</anchor>
      <arglist>(KAEvent &amp;, bool useEventID=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>80c023134e4c00a86bd96a1af286aba0</anchor>
      <arglist>(const KAEvent &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deleteEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>2a582d20e09389db15c6a5f23a0e1549</anchor>
      <arglist>(const QString &amp;eventID, bool save=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitEmptyStatus</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>5da327c5c709caa3b116db888f5c5638</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeAll</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>0b04b6242bd1913ced298094fbc5d65c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPurgeDays</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>be59ff6d3248a94eb3130ce8f8ce5f5b</anchor>
      <arglist>(int days)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>purgeIfQueued</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>c4b1048735efd17b5fd262b5cff55cd5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>021bd79d94b5f0f5d26af2ab15a11776</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>9dacfe5b173aaa791831231b43896ec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>urlString</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>50c3c9745a4850ebd08f822125cc3f75</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>icalProductId</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>73c7c9af19cb7dcd8cee0f450e345b97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>initialiseCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>5d110075b697ed077c5ce1f414f0989b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>terminateCalendars</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>6ed3e6c428137564e6e81853e65795ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>46256e755c4b09c4032a2916793bbd56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>1779e02dc9a3936cc5403756b250a348</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>e4ce9cd87398e38336e22e9beceaad63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendar</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>8ba876fd69d2d62d6c735e873e9d14f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>activeCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>86bf6b8d77b32383df9ce54db5266c92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>expiredCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>9d868a8c67338352e92152e77d0d048a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>displayCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>647385e43045a62329adf6b20a7456b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AlarmCalendar *</type>
      <name>templateCalendarOpen</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>c50272db2700623903a7b13aea561c14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>importAlarms</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>ee84669bdab2e6d457c7b73ec5a0e236</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KCal::Event *</type>
      <name>getEvent</name>
      <anchorfile>classAlarmCalendar.html</anchorfile>
      <anchor>1f0b7a0c8d44a7e361e57d7e2cbbdb16</anchor>
      <arglist>(const QString &amp;uniqueID)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAEvent</name>
    <filename>classKAEvent.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>6699b6a06aa2aec3f59ea0ca29f7365c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>d49bb8f59b4ad5e4690359c4940a7ed5</anchor>
      <arglist>(const QDateTime &amp;dt, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;f, Action action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ea077dab5fc8d68814192955618b5d99</anchor>
      <arglist>(const KCal::Event &amp;e)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>3b1fba0a4d6eae86046a42535f160f64</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>KAEvent &amp;</type>
      <name>operator=</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>d42c18a735f91336906f2ba9a7248f44</anchor>
      <arglist>(const KAEvent &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4c15fa1902de9f954d965aba07acf7f2</anchor>
      <arglist>(const KCal::Event &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>67a0fac5a80b58868d4a3eb06db76692</anchor>
      <arglist>(const QDateTime &amp;, const QString &amp;message, const QColor &amp;bg, const QColor &amp;fg, const QFont &amp;, Action, int lateCancel, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmail</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>1ba36090165bd40a99c261f066f609e5</anchor>
      <arglist>(uint from, const EmailAddressList &amp;, const QString &amp;subject, const QStringList &amp;attachments)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>edb3af7f5f99188dd7e1d0ae4d82645e</anchor>
      <arglist>(const QString &amp;filename, float volume, float fadeVolume, int fadeSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>8b2a150fdf4cb06453707f70bdd2d115</anchor>
      <arglist>(const QString &amp;name, int afterTime=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActions</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>5eb49de5695928c723acc72c311ae9ad</anchor>
      <arglist>(const QString &amp;pre, const QString &amp;post)</arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>setNextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>3c5c27898cc5ae96e59228f931391d24</anchor>
      <arglist>(const QDateTime &amp;preDateTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFirstRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b8218767c8b803355b6dddac01822be8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEventID</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ec573fee054312091c46c274b9f3adc9</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>d5017bf9a635f6340e6ea2cfe77f473e</anchor>
      <arglist>(const QDate &amp;d)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>34d4495eb4e84e4cb6224083bb929b42</anchor>
      <arglist>(const QDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSaveDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>9e6b40b0a9b8aefb68335f73a0926609</anchor>
      <arglist>(const QDateTime &amp;dt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLateCancel</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>04b8d3107ec200fbd38ef2449068a30f</anchor>
      <arglist>(int lc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoClose</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>c4e4e8433ea791c13dbb97d3729d3359</anchor>
      <arglist>(bool ac)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRepeatAtLogin</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>06f0a21bb94b9dd368bb2d66e3d790c5</anchor>
      <arglist>(bool rl)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>c2cbfef7acbbc23217f35dd61b0c1cf8</anchor>
      <arglist>(Status s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKMailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a4cc4a41ec16c9aac99348c70731e529</anchor>
      <arglist>(unsigned long n)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLogFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>2e51e815598e50d99ce08c8ced57201c</anchor>
      <arglist>(const QString &amp;logfile)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>d41a7d20b60437bc013f4f329b101fda</anchor>
      <arglist>(int minutes, bool onceOnly)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>16ea90d9012d9b6e859f0a224b74edd5</anchor>
      <arglist>(const DateTime &amp;, bool reminder, bool adjustRecurrence=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelDefer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>48f406c7764083a1f0b19a8ec443cf51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cancelCancelledDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b532e1db88034caef5f0e00d7cd34691</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDeferDefaultMinutes</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>98bac3a991699ab790145d25bf4508ea</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>d06f262248d9b25967d942b4783dc893</anchor>
      <arglist>(const KAEvent &amp;, KAAlarm::Type, const QDateTime &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reinstateFromDisplaying</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a59771e397424dab8fd13915e7d141cd</anchor>
      <arglist>(const KAEvent &amp;dispEvent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setArchive</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>6181a3beaf5e8e5c015a0c4fecaa87c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEnabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>916aafc6deb0fa6931e5a4799a3f580b</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>fb555c9127e269d137e205d95e6478b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearUpdated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>442e73f92561d43b98b9d84bd6fd2cdb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeExpiredAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>104989e1b5320812defd4910c0b77ad9</anchor>
      <arglist>(KAAlarm::Type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>incrementRevision</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>70030fdf05e5271687a8e470bf4b4fdf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::Event *</type>
      <name>event</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>94e1992b3021f81e2039988427bd6fe7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTemplate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>42ead0c9c3fa7e7c6858ac0c40b08a2e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>templateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>58f6630d041fda11301291747ef9bcfe</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usingDefaultTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>0126acd516bba8bf003bf22dcb307d7c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>templateAfterTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b3f309756ff4efbc4b5f4c52f2cde439</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>alarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>761bd00edcf153fec51cdf61481547e7</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>firstAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>28ac0494781cdd0365a07e0338b1140d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>bc114a86dfd2aac1a17f5fa2f64d8ca2</anchor>
      <arglist>(const KAAlarm &amp;al) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>nextAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>db1d231b652d1654b27dd414a906bf9c</anchor>
      <arglist>(KAAlarm::Type) const </arglist>
    </member>
    <member kind="function">
      <type>KAAlarm</type>
      <name>convertDisplayingAlarm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>75226e699fc2839eda74af1dd82470ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateKCalEvent</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>1b9d0f573f2ee9435d043793a07d80c6</anchor>
      <arglist>(KCal::Event &amp;, bool checkUid=true, bool original=false, bool cancelCancelledDefer=false) const </arglist>
    </member>
    <member kind="function">
      <type>Action</type>
      <name>action</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>14d0add60175142a6cb3a8e30777f9d0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>5d39883f81f48763b90a001be3cd729a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>id</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>431312bf54e8c5d9ea25438b9a6bece2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>valid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>18719348ebf5e9cc43207eceecd80156</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>alarmCount</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>3e7b48890fe89d59302ae124ebd2e9c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>startDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>50333e65793945135483bbca84160806</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>mainDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>1eebd03634399359828bf87a5d6a2381</anchor>
      <arglist>(bool withRepeats=false) const </arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>mainDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4ff65c820f0d9c3aaa41d6da8e31c66c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QTime</type>
      <name>mainTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>c3cebf5f60fc4c271292fb8bb61904c9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>mainEndRepeatTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>0401c8c2108a6556402fe630a8d531b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminder</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a5cdd94ca31687d51dfc478e9c76b2c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderOnceOnly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b24aa0e7aa2ec184eea151dc2b11be5c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>reminderDeferral</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>97152504f875e9e0024cc1570455cfa3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reminderArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>dd058a095cf88cba433eed9a8adab4d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>8051f6312998c534a5642234fe521b2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>deferralLimit</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b58e912a812f6f6b3843fb3844e876c7</anchor>
      <arglist>(DeferLimitType *=0) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>deferDefaultMinutes</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>8c780438415dbc4c4f1e19383de8bd71</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DateTime</type>
      <name>displayDateTime</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e903c213489f72463804eca272e2c66b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>messageFileOrCommand</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>cf2025cb3dab4f496becbd164d147ca4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>logFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b744d21ac6dabaa19fcbee985c3beec8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>commandXterm</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>7c24a27511a6bfe6d416ea215a7a935d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>kmailSerialNumber</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>8dea5e9349eedb7279706f2f8e6b447b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>copyToKOrganizer</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e88241e1e7c0fa61aa7b39c2d26ecf1e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>audioFile</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>21b6cf3f7157911c17f19dd5dcf141af</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>soundVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>0f8d47168c0e6e662df71401cdafe18c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>fadeVolume</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4784ff7426ad61a042a0926daf9976fc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fadeSeconds</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>f805ffc7cb6028d34a9873b7a75e64b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>repeatSound</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4e83dd5d45ba2be6991b3649d05d488e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>preAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>34f88ffaf9e11584a0113cc54945b317</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>postAction</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>f0193dab34ca0afe70735198b162e290</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>recurs</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>45dda2bb317d6baa30c839004e5f9ece</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence::Type</type>
      <name>recurType</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>471b8a33843a64603a855f330393cd77</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KARecurrence *</type>
      <name>recurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>34dcb443a90dc0efbe85aa4552212ee0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>recurInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ae10c33c96f736595a155733f6e899d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>longestRecurrenceInterval</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>72a4fdc5a6e172c26716a966637e376f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>recurrenceText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>c00729cd45437169ef2db499a84b7b62</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>repetitionText</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>e50bf684c9564231f74e06fe5cf75719</anchor>
      <arglist>(bool brief=false) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>occursAfter</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a79f64463ffb8e2587312e2bc11d60f4</anchor>
      <arglist>(const QDateTime &amp;preDateTime, bool includeRepetitions) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>nextOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4e6d2694599c1cc6af9364951f5c35fb</anchor>
      <arglist>(const QDateTime &amp;preDateTime, DateTime &amp;result, OccurOption=IGNORE_REPETITION) const </arglist>
    </member>
    <member kind="function">
      <type>OccurType</type>
      <name>previousOccurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>f15b48a450a48286ab0db310dba1488d</anchor>
      <arglist>(const QDateTime &amp;afterDateTime, DateTime &amp;result, bool includeRepetitions=false) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>flags</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>cc9516710d3554e04e66ecf6fbdd4568</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>deferred</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>f115c56e32273686f3ec496dff1690c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toBeArchived</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>2ee48199cc9f4651530a091fe5b70b7d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>enabled</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>616d29c62c650e9e8c7dc63e1811f26b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updated</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>194b9b70766aa3bf9e9364aa02fb9967</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mainExpired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>1cca7421d012d08a98c2b814ce4a2825</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>f53423ad9769a30dd226e1df6ba8b27e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>bf0b6b7ef51c6429428a956210a8a7e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRepetition</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>fde8b6e9ad2989cf064c05c3cd258e01</anchor>
      <arglist>(int interval, int count)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoRecur</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>460a4bfe9263ec050301cbd4472df945</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecurrence</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>705f390b6cefb9c0a9f49e8c5fe1d049</anchor>
      <arglist>(const KARecurrence &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMinutely</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4a66ecc25fbe6d0f9b70d901e2a6244d</anchor>
      <arglist>(int freq, int count, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurDaily</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>821d4e96a45332b3098092e8dacb0894</anchor>
      <arglist>(int freq, const QBitArray &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurWeekly</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>2f743b97504c47f1e33f2d3491caf741</anchor>
      <arglist>(int freq, const QBitArray &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>092f721c1a8abb3b4edf8dd788a0940e</anchor>
      <arglist>(int freq, const QValueList&lt; int &gt; &amp;days, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurMonthlyByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>b6f1c4d23f05479a3e9027738cd393e2</anchor>
      <arglist>(int freq, const QValueList&lt; MonthPos &gt; &amp;pos, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByDate</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>6ba48378b432aca5274df725de8decc8</anchor>
      <arglist>(int freq, const QValueList&lt; int &gt; &amp;months, int day, KARecurrence::Feb29Type, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setRecurAnnualByPos</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>a11916778bc602a37a311eaab526d3eb</anchor>
      <arglist>(int freq, const QValueList&lt; MonthPos &gt; &amp;pos, const QValueList&lt; int &gt; &amp;months, int count, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dumpDebug</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>ee80895b7babedf2956a24835109ba9b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Status</type>
      <name>uidStatus</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>33c05bceb2c70b843a7b88101adc377e</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>uid</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>eb547b493c7a98b8ede380fe6c7a7824</anchor>
      <arglist>(const QString &amp;id, Status)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAEvent</type>
      <name>findTemplateName</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>fb02d00ba345fe2da1eaea7472cc8bfa</anchor>
      <arglist>(AlarmCalendar &amp;, const QString &amp;name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>calVersion</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>92a06a0bbc0c4718b8bfdaccc1f8a964</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>calVersionString</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>04eb84be9ddaf2906b1b622c98ff48a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>adjustStartOfDay</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>00465dc642a6f0320d6b6e297dad971c</anchor>
      <arglist>(const KCal::Event::List &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>convertKCalEvents</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>4d796a8c23049f5009b70a7a5de88ab8</anchor>
      <arglist>(KCal::Calendar &amp;, int version, bool adjustSummerTime)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>convertRepetitions</name>
      <anchorfile>classKAEvent.html</anchorfile>
      <anchor>93e92ac28e6f7ec89447a039335f2938</anchor>
      <arglist>(KCal::CalendarLocal &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAlarmIface</name>
    <filename>classKAlarmIface.html</filename>
    <member kind="enumeration">
      <name>Flags</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>2a1509214a35f503d6a6b0992e3671cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>RecurType</name>
      <anchorfile>classKAlarmIface.html</anchorfile>
      <anchor>5591e353e630ea7ad085e12da2b5be46</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindowBase</name>
    <filename>classMainWindowBase.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindowBase</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>332ed66d0f1fb7d701611481bb4979e4</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>74be8d968031197eadbb6f06af424e00</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryExit</name>
      <anchorfile>classMainWindowBase.html</anchorfile>
      <anchor>3b04b98900d47100c365243feb306cb8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MessageWin</name>
    <filename>classMessageWin.html</filename>
    <base>MainWindowBase</base>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>8e1a0ccf93336480ca102f7229072fab</anchor>
      <arglist>(const KAEvent &amp;, const KAAlarm &amp;, bool reschedule_event=true, bool allowDefer=true)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MessageWin</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>8e198c7f79328fbe1b6d19d512b320c2</anchor>
      <arglist>(const KAEvent &amp;, const DateTime &amp;alarmDateTime, const QStringList &amp;errmsgs)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>repeat</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>873efbf50eeee4badfe1d4f6291c5436</anchor>
      <arglist>(const KAAlarm &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRecreating</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>d3a277f40799062266fb2fbdcc374a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DateTime &amp;</type>
      <name>dateTime</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>92160486ad8a33721f5cca6f8a84ba8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAAlarm::Type</type>
      <name>alarmType</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>8d1be4a0218eed7600c37570ff5debba</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDefer</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>ae021a55d4effcbbc2821b09ef6c8716</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>1518f452d0a166f49f5f67e35e395c6b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>show</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>12069e9a5323d35bcfe8b2c2fef9a224</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>sizeHint</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>be4106d9d7553d1f485ba63aa8483508</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>instanceCount</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>7de254ffed7b31200b88795ed855f1cd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static MessageWin *</type>
      <name>findEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>178cf1d25a389b2bda796232c64db466</anchor>
      <arglist>(const QString &amp;eventID)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>540b60c63943a9363dd7b2532cadd0e6</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>moveEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>26c18b22e3fd3c0c77b6b6616c7a0149</anchor>
      <arglist>(QMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>c20d0ef5e4213a2f9b86ca2cf600c96f</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>closeEvent</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>4f5839a1c7740f4af73c14398aaf3bf8</anchor>
      <arglist>(QCloseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>0e7eadc08fa1ad9fd66e9e2066c6b3af</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMessageWin.html</anchorfile>
      <anchor>dcc0ad26cbf3ce5375d72c1822582843</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PickFileRadio</name>
    <filename>classPickFileRadio.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setEnabled</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>74f5694d68df36aa7f12cca3cdaef48b</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>d25f29ddca7dab38bbcfc268bde054dd</anchor>
      <arglist>(QPushButton *button, LineEdit *edit, const QString &amp;text, QButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PickFileRadio</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>02d04783411a3ae20827104581f71373</anchor>
      <arglist>(const QString &amp;text, QButtonGroup *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>6057a9b17f2acc6e7d1c96ab9b3388cb</anchor>
      <arglist>(QPushButton *button, LineEdit *edit=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>f8fd97eefba74449244b11125003246a</anchor>
      <arglist>(bool readOnly)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>pickFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>3c077ee1a42ae79cea5825136b87f763</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFile</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>1cf7fad195e36df9252d7ab424fd7962</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>file</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>9afbfee2befcba8ba1584841154124cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>LineEdit *</type>
      <name>fileEdit</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>49a7f855c031e28c6a7e687af63fa30d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>pushButton</name>
      <anchorfile>classPickFileRadio.html</anchorfile>
      <anchor>9ce2aea0debdc3fdf95e78d8af03282a</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>StartOfDayTimer</name>
    <filename>classStartOfDayTimer.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>connect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>6d51caaebb4eacb971d147cc2f553e38</anchor>
      <arglist>(QObject *receiver, const char *member)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>disconnect</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>d58e88ca80069c6e4700c34c8ee7b246</anchor>
      <arglist>(QObject *receiver, const char *member=0)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static StartOfDayTimer *</type>
      <name>instance</name>
      <anchorfile>classStartOfDayTimer.html</anchorfile>
      <anchor>10f6cce90a30abeeeae469e41e349138</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
