<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>libemailfunctions</title>
    <filename>index</filename>
  </compound>
  <compound kind="file">
    <name>email.h</name>
    <path>/home/users/builder/rpm/BUILD/kdepim-3.5.10/libemailfunctions/</path>
    <filename>email_8h</filename>
    <namespace>KPIM</namespace>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8c3b348b32b75cda59c6432317e0a68f</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>9eee2782ac8d8c48f0cf6441a4990c19</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>0617ec3c3de8e75033dbe5ed022b8f5d</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>22a224c98f785cc054464140f993a2e4</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3dc97b44bed1326c946806381cc39623</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ca96c068223b79acac6e740efd2ba437</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>97a867cc1332460840ba85dac41f9028</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>52d55b5eb0aa0d635e366064e497174b</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1523ced06bfdcb7bf72d2d9c391defa</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>9bae94cda84620feea5f863042a05afa</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dd2005ea61468046b2ee17c17db3307b</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af170a57c091f965490ad3f961aac206</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3878a41cc2209c854374150627a3294a</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fada7abc95a11209c30cd0e948877dff</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d79f83e45a5fdf873fae6a1383fa8af0</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2cbc7a8e528bec75766564d7aea72524</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>81849dd0fa88ccbd1943077e590d18ab</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2e19b412b4dffc5bd1cdb3a3221290a3</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>205cb68c1b680c50563352e639e974f2</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::IdMapper</class>
    <class kind="class">KPIM::NetworkStatus</class>
    <member kind="enumeration">
      <name>EmailParseResult</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e264878f406140142a8ea814d844269c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QStringList</type>
      <name>splitEmailAddrList</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>8c3b348b32b75cda59c6432317e0a68f</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>9eee2782ac8d8c48f0cf6441a4990c19</anchor>
      <arglist>(const QCString &amp;address, QCString &amp;displayName, QCString &amp;addrSpec, QCString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>splitAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>0617ec3c3de8e75033dbe5ed022b8f5d</anchor>
      <arglist>(const QString &amp;address, QString &amp;displayName, QString &amp;addrSpec, QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT EmailParseResult</type>
      <name>isValidEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>22a224c98f785cc054464140f993a2e4</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>emailParseResultToString</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3dc97b44bed1326c946806381cc39623</anchor>
      <arglist>(EmailParseResult errorCode)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>isValidSimpleEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ca96c068223b79acac6e740efd2ba437</anchor>
      <arglist>(const QString &amp;aStr)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>simpleEmailAddressErrorMsg</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>97a867cc1332460840ba85dac41f9028</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QCString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>52d55b5eb0aa0d635e366064e497174b</anchor>
      <arglist>(const QCString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>getEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a1523ced06bfdcb7bf72d2d9c391defa</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QCString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>9bae94cda84620feea5f863042a05afa</anchor>
      <arglist>(const QCString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>getFirstEmailAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>dd2005ea61468046b2ee17c17db3307b</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>getNameAndMail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>af170a57c091f965490ad3f961aac206</anchor>
      <arglist>(const QString &amp;aStr, QString &amp;name, QString &amp;mail)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT bool</type>
      <name>compareEmail</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3878a41cc2209c854374150627a3294a</anchor>
      <arglist>(const QString &amp;email1, const QString &amp;email2, bool matchName)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizedAddress</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>fada7abc95a11209c30cd0e948877dff</anchor>
      <arglist>(const QString &amp;displayName, const QString &amp;addrSpec, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>decodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>d79f83e45a5fdf873fae6a1383fa8af0</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>encodeIDN</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2cbc7a8e528bec75766564d7aea72524</anchor>
      <arglist>(const QString &amp;addrSpec)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizeAddressesAndDecodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>81849dd0fa88ccbd1943077e590d18ab</anchor>
      <arglist>(const QString &amp;addresses)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>normalizeAddressesAndEncodeIDNs</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>2e19b412b4dffc5bd1cdb3a3221290a3</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>KDE_EXPORT QString</type>
      <name>quoteNameIfNecessary</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>205cb68c1b680c50563352e639e974f2</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>3be1bd2f05fe198b10d57156a11fafa2</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToLower</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>a7e658b703f73630b7852c858d0cf532</anchor>
      <arglist>(char *str)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static unsigned char</type>
      <name>ASCIIToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e1a7d018d2d8de9b0e396c8741c89e8b</anchor>
      <arglist>(unsigned char ch)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>kAsciiToUpper</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>f0520be3d7964dd69630f1d580eac236</anchor>
      <arglist>(char *str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdMapper</name>
    <filename>classKPIM_1_1IdMapper.html</filename>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>abcb9b58eb3cc8651b3baaa40da4f6c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>6251fb96119d0ae039da588613a85d30</anchor>
      <arglist>(const QString &amp;path, const QString &amp;identifier=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IdMapper</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>d07bbfd789c3e6517eb5b2578650e4bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPath</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>a32f4727d1376ac39d8d1733a3f8a66c</anchor>
      <arglist>(const QString &amp;path)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>path</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>e4c167781e25f29512dd8e6fc271b6ac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>435054a14b02a43f87b5a1c7f5569046</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>8eae5a03c329f9e968322fe2fd4f0476</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>load</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>2f6d29d2a80837c9bb298e187a030d4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>77a4825834f626137f0aae38827ba43d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>74b10758cfb38f49aa3f05ad100037af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>541b330afe20d0d32abcf9bd339aafae</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeRemoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>45f742c9dbad4c5ee7ae84370a75a204</anchor>
      <arglist>(const QString &amp;remoteId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>remoteId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>532b56f025685f45cbf2fe3bc032a4ad</anchor>
      <arglist>(const QString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>localId</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>f7d32f08c95f8288177d8f3863a4c3a8</anchor>
      <arglist>(const QString &amp;remoteId) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>b123506596ef72984c906b70caffa7a7</anchor>
      <arglist>(const QString &amp;localId, const QString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>fingerprint</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>405c0974a3c8f0cf99a49201e1f06c11</anchor>
      <arglist>(const QString &amp;localId) const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>remoteIdMap</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>5d7bd686bafa6dcbb27a006f742f23d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>asString</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>4d0e892068cb54e5436ea151af572c38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>filename</name>
      <anchorfile>classKPIM_1_1IdMapper.html</anchorfile>
      <anchor>9976f9e64d69b638de14a165bc595eb8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::NetworkStatus</name>
    <filename>classKPIM_1_1NetworkStatus.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>5f70609343c4f193a045aa476b2d409c</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusChanged</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>54be6237a21f6b633de6cd165411da1f</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>a1f54631fc9a6bc47292c5b22b4f69c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>1e0d58c1de17f406b32d2520d639b535</anchor>
      <arglist>(Status status)</arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>6cd5c8b3b03e4091351cded493d2091d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static NetworkStatus *</type>
      <name>self</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>ffc2957895b7e0f3fd5688eb9361f0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>NetworkStatus</name>
      <anchorfile>classKPIM_1_1NetworkStatus.html</anchorfile>
      <anchor>328fb9a09e00f229467ba593b2ae90e8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
